<template>
  <div class="dynamic-content">
    <section
      v-for="(component, index) in components"
      :key="index"
      :class="[bgClass(component), { 'position-relative': index === 0 }]"
    >
      <div v-if="component.fieldGroupName" class="container">
        <breadcrumbs v-if="breadcrumbs && index === 0" :title="title" />
        <component
          :is="[...component.fieldGroupName.split('_')].pop()"
          :data="component"
        />
      </div>
      <div
        v-if="!component.fieldGroupName && $config.DEV_MODE"
        style="background: #f0f"
      >
        <div class="container">
          <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1 module text-center">
              <h2
                style="
                  color: #ff0;
                  font-family: 'Comic Sans MS', 'Comic Sans', sans-serif;
                "
              >
                HIER KÖNNTE IHRE WERBUNG STEHEN!
              </h2>
              <p style="color: #0ff">[Modul fehlt in GraphQL Query]</p>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  props: {
    components: {
      type: Array,
      default: () => {
        return [];
      },
    },
    breadcrumbs: {
      type: Boolean,
      default: true,
    },
    title: {
      type: String,
      default: '',
    },
  },
  methods: {
    bgClass(component){
      if (component.sectionBackground) {
        return `bg-${component.sectionBackground}`;
      }
      return 'bg-white';
    },
  },
};
</script>

<style lang="scss">
.dynamic-content {
  flex-grow: 1;
  overflow: hidden;
}
</style>
